// Test sketch for the DHT11 & photocell sensors
// Matériel : Carte YUN + carte base Shield Tinkerkit, 
// DHT11 (humidité + Température) sur I0, SEN11302P (Luminosité)sur I1
// Date : 18/07/2015

// Variables
int lightLevel;
float humidity;
float temperature;

// Include required libraries
#include "DHT.h"

// DHT11 sensor pins
#define DHTPIN A0 
#define DHTTYPE DHT11

// DHT instance
DHT dht(DHTPIN, DHTTYPE);
                                         
void setup(void)
{
 
  // Initialize DHT sensor
  dht.begin();
  
  // Init serial
  Serial.begin(115200);
  
}
  
void loop(void)
{
  
    // Measure the humidity & temperature
    float humidity = dht.readHumidity();
    float temperature = dht.readTemperature();
    
    // Measure light level
    int lightLevel = analogRead(A1);
    
    // Print measurements
    Serial.print("Temperature: ");
    Serial.println(temperature);
    Serial.print("Humidity: ");
    Serial.println(humidity);
    Serial.print("Light level: ");
    Serial.println(lightLevel);
    Serial.println("");
    
    // Repeat 50 ms
    delay(50);
  
}
