// Arduino Yun
// Le sketch transmet les valeurs des entrées A1 ou A0
// en réponse aux requètes envoyées par le site "Yun Potentiomètre"
// Date: 28/02/2015
// Fichier: yun_read_Pot

// Libraries
#include <Bridge.h>
#include <YunServer.h>
#include <YunClient.h>

// Yun server
YunServer server;


void setup()
{
  // Start bridge
  Bridge.begin();
  
  // Start Yun server
  server.listenOnLocalhost();
  server.begin();
}
//=============================================================
void loop()
{
  // Get clients coming from server
  YunClient client = server.accept();

  // There is a new client?
  if (client) {
    // Process request
    process(client);

    // Close connection and free resources.
    client.stop();
  }

  // Poll every 50ms
  delay(50);   
}
//-------------------------------------------------------------  
// Process called when the REST API is called
void process(YunClient client) {
  
  // Read the command
  String command = client.readStringUntil('/');

  if (command == "Pot") {   
     readPotCommand(client);
  }

}
//------------------------------------------------------------- 
// Process Pot commands
void readPotCommand(YunClient client) {
  
  // Read command and react accordingly
  String command = client.readStringUntil('\r');
    
   // Return Pot measurement
   if (command == "readA0") {
     client.print("Pot1 = ");
     client.print(analogRead(A0));   
     }
   else if (command == "readA1") {
     client.print("Pot2 =  ");
     client.print(analogRead(A1));
     }
}


