// Commande d'une LED
// Matériel : Carte Yun
// Date 05/04/2015
// Fichier : Web_Led.ino
// Répertoire : Web_Led
//=============================================================
// Include libraries
#include <Bridge.h>
#include <YunServer.h>
#include <YunClient.h>

// Define relay pins
#define RELAY_PIN  13  // Led simule le relais

// Create Yun server
YunServer server;
//=============================================================
void setup(void) 
{
  // Start bridge
  Bridge.begin();
  
  // Initialize relay pin
  pinMode(RELAY_PIN,OUTPUT);
  
  // Start server
  server.listenOnLocalhost();
  server.begin();
}
//=============================================================
void loop(void) 
{
  // Get clients coming from server
  YunClient client = server.accept();

  // There is a new client?
  if (client) {
    // Process request
    process(client);

    // Close connection and free resources.
    client.stop();
  }
  
  // Poll every 50ms
  delay(50);
}
//-------------------------------------------------------------  
// Process incoming command
void process(YunClient client) {
  // read the command
  String command = client.readStringUntil('/');

  // is "digital" command?
  if (command == "digital") {
    digitalCommand(client);
  }

  // is "analog" command?
  if (command == "analog") {
    //analogCommand(client);
  }

  // is "mode" command?
  if (command == "mode") {
    //modeCommand(client);
  }
}
//-------------------------------------------------------------  
void digitalCommand(YunClient client) {
  int pin, value;

  // Read pin number
  pin = client.parseInt();

  // If the next character is a '/' it means we have an URL
  // with a value like: "/digital/13/1"
  if (client.read() == '/') {
    value = client.parseInt();
    digitalWrite(pin, value);
  }
  else {
    value = digitalRead(pin);
  }
}
